Subject: Re: Erroneous -Werror=missing-braces on old GCC

From: Tom Lane <[email-masked]>
Date: Sun, 24 Dec 2023 23:23:49 -0500

I wrote:
> Richard Guo <[email-masked]> writes:
>> I came across the 'missing braces' warning again when building master
>> (0a93f803f4) on old GCC (4.8.5).

> On the one hand, it's probably pointless to worry about buggy
> warnings from ancient compilers ...

Actually, after checking the buildfarm, I see that

arowana
ayu
batfish
boa
buri
demoiselle
dhole
dragonet
idiacanthus
lapwing
mantid
petalura
rhinoceros
shelduck
siskin
tanager
topminnow
xenodermus

are all bitching about this (with a couple different spellings
of the warning).  So this is absolutely something to fix, and
I'm rather surprised that nobody noticed it during the development
of 174c48050.

			regards, tom lane